<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
    <style type="text/css">
        * { font-family: tahoma; font-size: 11px;}
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <atlas:ScriptManager ID="ScriptManager1" runat="server" />
        <!-- Element for myList (container) -->
        <div id="myList"></div>
        <!-- Layout Elements -->
        <div style="display: none;">
            <!-- Layout Template -->
            <table id="myList_layoutTemplate" border="1" cellpadding="3">
                <thead>
                    <tr>
                        <td><span>No.</span></td>
                        <td><span>Name</span></td>
                        <td><span>Email</span></td>
                    </tr>
                </thead>
                <!-- Repeat Template -->
                <tbody id="myList_itemTemplateParent">
                    <!-- Repeat Item Template -->
                    <tr id="myList_itemTemplate">
                        <td><span id="lblIndex" /></td>
                        <td><span id="lblName" /></td>
                        <td><span id="lblEmail" /></td>
                    </tr>
                    <!-- Separator Item Template -->
                    <tr id="myList_separatorTemplate">
                        <td colspan="3">Separator</td>
                    </tr>
                </tbody>
            </table>
            <!-- Empty Template -->
            <div id="myList_emptyTemplate">
                No Data
            </div>
        </div>
    </form>

    <script type="text/xml-script">
        <page xmlns:script="http://schemas.microsoft.com/xml-script/2005">
            <components>
                <dataSource id="listDataSource" autoLoad="true" serviceURL="MyService.asmx" />

                <listView id="myList" itemTemplateParentElementId="myList_itemTemplateParent">
                    <bindings>
                        <binding dataContext="listDataSource" dataPath="data" property="data" />
                    </bindings>
                    <layoutTemplate>
                        <template layoutElement="myList_layoutTemplate" />
                    </layoutTemplate>
                    <itemTemplate>
                        <template layoutElement="myList_itemTemplate">
                            <label id="lblIndex">
                                <bindings>
                                    <binding dataPath="$index" transform="Add" property="text"/>
                                </bindings>
                            </label>
                            <label id="lblName">
                                <bindings>
                                    <binding dataPath="Name" property="text" />    
                                </bindings>
                            </label>
                            <label id="lblEmail">
                                <bindings>
                                    <binding dataPath="Email" property="text" />
                                </bindings>
                            </label>                    
                        </template>
                    </itemTemplate>
                    <separatorTemplate>
                        <template layoutElement="myList_separatorTemplate" />
                    </separatorTemplate>
                    <emptyTemplate>
                        <template layoutElement="myList_emptyTemplate"/>
                    </emptyTemplate>
                </listView>

            </components>
        </page>
    </script>

</body>
</html>
